#pragma once

#include "common.h"

#include <stdio.h>

#define MAX_CONFIG_LINE 256

extern_c int read_config(FILE *, bool save);
extern_c int write_env(FILE *, bool status);
extern_c void init_config(void);

extern_c int set_config_url_string(const char *str);

extern_c int setenv_cond(const char *var, const char *val);
extern_c int setenv_config(const char *var, const char *val);
extern_c const char *getenv_def(const char *var, const char *def);
extern_c long getenv_l(const char *var, long def);
extern_c void setenv_l(const char *var, long val);
extern_c unsigned long getenv_ul(const char *var, unsigned long def);
extern_c void setenv_ul(const char *var, unsigned long val);
extern_c bool getenv_bool(const char *var);
extern_c void setenv_bool(const char *var, bool val);
